API ReferenceCredential types
Retrieve credential types
GET
Retrieves a list of credential types from the requested ecosystem.
Roles
admindts-provider
Analytics Events
ECOSYSTEM_CREDENTIAL_RETRIEVE_LIST_STARTECOSYSTEM_CREDENTIAL_RETRIEVE_LIST_SUCCESSECOSYSTEM_CREDENTIAL_RETRIEVE_LIST_FAIL
bearerAuthheader
AuthorizationBearer <token>ecosystemId*stringThe UUID of the ecosystem
Format
uuidlimit?numberRange size of returned list.
Range
1 <= value <= 1000Default
100cursor?stringStarting point for the list of entries.
Credential types retrieved
application/json- response
data?array<|>nextCursor?nextCursorStarting point for next cursor to use in a paginated list.
curl -X GET 'https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/credentials'{ "data": [ { "id": "599bf148-d711-405a-a20b-9c8a87ac8850", "ecosystemId": "87880d7e-a4d0-462e-8383-3f1e5e16865d", "profile": "compact", "type": "DriverLicense", "name": "Driver's License" } ], "nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM"}How would you rate this page?